<template>
  <img :src="imageRequired"
       :width="width"
       :height="height"
       :alt="alt" />
</template>

<script>
export default {
  props: {
    source: {
      type: String
    },
    alt: {
      type: String
    },
    width: {
      type: String
    },
    height: {
      type: String
    }
  },
  computed: {
    imageRequired() {
      return require('../assets/img/' + this.source)
    }
  }
}
</script>
